Skip to main content
POST
/
api
/
v1
/
datasets
Create Dataset
curl --request POST \
  --url https://api.example.com/api/v1/datasets \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "artifact_types": [
    {
      "name": "<string>",
      "description": "<string>",
      "color": "#FF0000"
    }
  ]
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "artifact_types": [
    {}
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Body

application/json

Request schema for creating a dataset.

name
string
required
Required string length: 1 - 255
description
string | null
artifact_types
ArtifactType · object[]

Response

Successful Response

Response schema for a dataset.

id
string<uuid>
required
name
string
required
description
string | null
required
artifact_types
Artifact Types · object[]
required
created_at
string<date-time>
required
updated_at
string<date-time>
required